Bug 6776 - XMLTV - показ названий и описаний передач
: XMLTV - показ названий и описаний передач
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/tvtime)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-03 22:07 by
Modified: 2010-09-26 13:21 (History)


Attachments
Программа передач (197.26 KB, application/x-bzip)
2005-05-03 22:08, Vyacheslav Dikonov
no flags Details
Пример настроек (15.74 KB, text/xml)
2005-05-03 22:10, Vyacheslav Dikonov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-03 22:07:57
Я сейчас занимаюсь XMLTV, благодаря котораму tvtime может выводить на экран не
только номер и название канала, но и название текущей передачи. См.
http://tvtime.sourceforge.net/xmltv.html.

С нашими эфирными каналами (проверяю в Москве) все работает, однако есть
странный эффект - Tvtime делает сдвиг на один час назад и показывает название
уже прошедших передач, хотя время в XML с программой передач правильное и
соответствует часовому поясу Москвы с летним сдвигом. Другие средства просмотра
этого XML все показывают верно.

Посмотрите, пожалуйста, нет ли в tvtime кода отслеживания часового пояса и
компенсации сезонных сдвигов. Нельзя ли его выключить или сообщить мне
алгоритм,
чтобы не было разнобоя в показаниях tvtime, VDR и gshowtv, работающих с одним и
тем же XML.

Прилагаю пример настройки tvtime для Москвы с прописанными id (они будут
едиными
для всех "наших" импортеров) и программу передач на эту неделю для опытов.

Steps to Reproduce:
1. Установить tvtime и xmltv
2. Настроить
3. Посмотреть на экран и сравнить картинку с надписями
Actual Results:  
Название передачи отстает на час

Expected Results:  
Видим название идущего сейчас кино и пр. передач.
------- Comment #1 From 2005-05-03 22:08:45 -------
Created an attachment (id=868) [details]
Программа передач
------- Comment #2 From 2005-05-03 22:10:07 -------
Created an attachment (id=869) [details]
Пример настроек
------- Comment #3 From 2005-09-15 14:08:53 -------
Слав, можешь забрать пакет -- у меня тюнера нет (собиралось для друга), а
asbel@, который его дорабатывал -- исчез под грузом работы.

По поводу же данной конкретной проблемы -- попробуй изложить Биллу (который
апстрим), вполне адекватный хлопец.
------- Comment #4 From 2010-09-26 13:21:49 -------
apparently wontfix